package data_manage

import (
	"github.com/beego/beego/v2/client/orm"
	"time"
)

type MyChartLog struct {
	MyChartLogId    int `orm:"column(my_chart_log_id);pk"`
	MyChartId       int
	ChartInfoId     int `description:"图表id"`
	SysUserId       int
	SysUserRealName string
	CreateTime      time.Time
	Content         string `description:"内容"`
	Status          string `description:"状态"`
	Method          string `description:"执行方法"`
}

func AddMyChartLog(item *MyChartLog) (lastId int64, err error) {
	o := orm.NewOrmUsingDB("data")
	lastId, err = o.Insert(item)
	return
}
